Package: grails.persistence

## [Java] Enum Event

- grails.persistence.Event

- Enum of the available events that Grails triggers.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `afterDelete` |
    `afterInsert` |
    `afterLoad` |
    `afterUpdate` |
    `beforeDelete` |
    `beforeInsert` |
    `beforeLoad` |
    `beforeUpdate` |
    `onLoad` |
    `onSave` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String[]` | `getAllEvents()` @return The names of all persistence events

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Enum` | `java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long, int), java.lang.Enum#wait(long), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Enum Constant Detail

    - #### Event afterDelete

    - #### Event afterInsert

    - #### Event afterLoad

    - #### Event afterUpdate

    - #### Event beforeDelete

    - #### Event beforeInsert

    - #### Event beforeLoad

    - #### Event beforeUpdate

    - #### Event onLoad

    - #### Event onSave

  - ### Method Detail

    - #### public static java.lang.String[] getAllEvents()

      Returns:
        The names of all persistence events